Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Path Parameters

voiceAgentId
string<uuid>
required

ID of the voice agent.

Example:

"3f6c8a1e-2b4d-4e7f-9a0b-1c2d3e4f5a6b"

functionMacroId
string<uuid>
required

ID of the function or macro.

Example:

"9c1d2e3f-4a5b-4c6d-8e7f-0a1b2c3d4e5f"

Body

application/json
isActive
boolean
required

true: on. false: off.

Response

Successful response: all of the agent's functions and macros

success
boolean
Example:

true

message
string
Example:

"success"

data
object[]